<script>
import {MasterMethods} from "@/Store/Functions.js";

export default {
    name: "Input",
    props: {
        type: {
            type: String,
            default: 'text'
        },
        placeholder: {
            type: String,
            default: ''
        },
        required: {
            type: Boolean,
            default: true
        },
        modelValue: {
            type: [String, Number],
            default: ''
        },
        name: {
            type: String,
            default: null
        }
    },
    data() {
        return{
            id: "I" + this.genID()
        }
    },
    methods: {
        ...MasterMethods
    },
    created() {
        if(this.name !== null) {
            this.id = this.name;
        }
    }
}
</script>

<template>
    <input
        class="border-gray-300 focus:border-indigo-500 focus:ring-indigo-500 shadow-sm rounded-sm"
        :type="type"
        :placeholder="placeholder"
        :required="required"
        :value="modelValue"
        :id="id" :name="id"
        @input="$emit('update:modelValue', $event.target.value)"
    />
</template>

<style scoped>

</style>
